NETWORK SETTINGS Here a Static IP address can be configured for the device. This is recommended so that the device does not have to obtain an IP address on every power-up. Use SonicIP® If set to "yes", the device will announce its IP address over the audio output. Default: "yes" IP Address Enter the 4 values of the desired device IP address e.g.: "0.0.0.0" for automatic discovery (DHCP/Bootp, IPzator, AutoIP), "192.168.0.12" for an internal LAN Default: "0.0.0.0" Netmask Enter the 4 values of the desired Static IP e.g.: "0.0.0.0" for a default Netmask depending on the IP Address used, "255.255.255.0" for a C class network Default: "255.255.255.0" Gateway IP Address Enter the 4 values of the desired Gateway IP address e.g.: "0.0.0.0" for no Gateway, "192.168.0.1" for a the LAN Gateway. Note: The Gateway has to be set only when connecting to other devices over the WAN (through a router). Default: "0.0.0.0" DHCP Host Name Name of the device sent in a DHCP request. If left empty, a name based on the device's MAC address is generated automatically. Enter up to 15 Characters. Type of Service/DSCP ToS value used for TCP and UDP streaming. DSCP(Differentiated Service Code Point) supersedes IP4 ToS value and uses the same byte. check for DSCP services available in your network to set this value. Valid values are 0-63. Default value is 0.
AUDIO SETTINGS These settings adjust the audio input and output. Input source Choose the desired input source. All input sources except "Line stereo" are mono. &LState(1,"%s",6,B,!19," Default setting is "Mic". &LState(1,"%s",6,B,42," Microphone gain Choose the desired gain ("21" - "43.5" dB) for the microphone. Default setting is "21" dB. A/D amplifier gain Choose the desired gain ("-3" - "19.5" dB) for the A/D amplifier. Default setting is "-3" dB. &LState(1,"%s",6,B,42," Encoding Choose between different encoding types (audio compression) and sampling frequencies. From "MPEG1 / 48 kHz" down to "MPEG2 / 16 kHz" and "uLaw", "aLaw" or "PCM" at 8 or 24 kHz. Default setting is "MPEG2 / 22.5 kHz". MPEG Encoding Quality (MP3 only) Choose between "0 lowest" and "7 highest" in steps of 1. The Encoder Quality table below shows the average bit rate in kbit/s for the quality settings and sampling frequencies in kHz. Default setting is "0 lowest".
Qual. | 0 | 1 | 2 | 3 | 4 | 5 | 6 | 7
44.1 | 65 | 68 | 73 | 80 | 90 | 105 | 125 | 140
22.05 | 35 | 38 | 40 | 45 | 50 | 60 | 75 | 90
Volume Choose between "0"% and "100"% in 5% steps. Default: "50"% Bass Choose between "-10" and "10". Default: "0" Treble Choose between "-10" and "10". Default: "0" Loudness Level Choose between "0" and "20". Default: "20" Output Mode Choose one of the "Mono", "Stereo" or "Bridge" settings. The "Mono" mode produces a monophonic output signal out of both channels. The "Stereo" mode lets both channels through. The "Bridge" mode creates a mono differential left/right signal for connecting a single double-impedance speaker as a bridge between left and right channel. Note: The "Stereo" and "Bridge" settings apply for stereo hardware only. The output mode should correspond to the audio encoding used. The MPEG encoding is stereo, whereas uLaw, aLaw and PCM can transmit only monophonic signal. MP3 Frame CRC If set to "enable", the encoder will include the CRC-16 in each MP3 frame. Default setting is "enable". MP3 Bitreservoir Mode The Bitreservoir is used to compensate the differences between the predefined frame sizes. If set to "used", the encoder will use the bitreservoir. Default setting is "kept empty". MP3 Copyright Protection "Enable" or "disable" the copyright protection bit in the MP3 bitstream. Default setting is "enable". MP3 Stream Type Select between a "copy" or an "original" bitstream in order to set the appropriate bit in the MP3 bitstream. Default setting is "copy". MP3 Emphasis Select emphasis "none", "50/15 us" or "CCITT J.17". Default setting is "none". &LState(1,"%s",6,B,!32,"
STREAMING SETTINGS These settings adjust the streaming mode, parameters and tables. Own Name You can enter the name of the Annuncicom IC here. This name will be returned when using the DISCOVER command (see technical documentation) Default setting is "". Streaming mode "send always" will stream always "send on TALK" will stream if the TALK button (command) is pressed "send on Level" will stream if the incoming audio signal is above the Trigger level "auto answer" will stream back for the Post Trigger Play duration after a stream has been received "receive only" can receive a stream but will never send one Default setting is "send on TALK". Trigger level Is only used when Streaming mode is "on Level". Set to a value between 0 and 32767. Open the Device status page and look for the Input peak value to get a hint for the trigger value. This page refreshes itself every second. Default setting is "1000". Pre Trigger Start Pre Trigger Start can be adjusted to prevent cut offs when audio should be sent earlier than detected. It defines the duration of the stream used before the actual trigger occurred. This feature is normally used in combination with the send on level feature. However, this parameter has a further use, to determine the receive stream strategy. If 0, a minimum audio delay strategy is chosen at the receive side. Otherwise a minimum audio loss strategy is chosen. Default setting is "0" milliseconds. Post Trigger Play Post Trigger Play can be adjusted to prevent cut offs when audio should be sent longer than detected. It defines the amount of time that the device will continue streaming after the actual trigger has been cleared. This feature is normaly used with the send on level feature. When Streaming mode is set to "auto answer" this defines the duration the device will stream back after a stream has been received. Default setting is "0" milliseconds. Buffer Underrun Mode (TCP) The Buffer Underrun Mode (TCP) defines the action if a TCP stream is slower than the real stream from the encoder. In this case the output streaming buffer underruns and cannot hold older data anymore. The device can then "disconnect" the TCP connection or it can "skip" the stream directly to the encoder stream without disconnecting TCP. Default setting is "disconnect". Background Stream TCP Flow Control The Background Stream TCP Flow Control defines data receiving strategy of stream interrupted by a priority stream (so called background stream). If a priority stream is played, data in original stream can be either accepted and thrown away or the TCP connection can be stopped. Use throw away data if your streaming source is streaming in real time (e.g. Annuncicom). Use stop stream when the streaming source is sending data as fast as possible (e.g. when sending a file from a PC). This setting is only for receiving data and does not affect UDP streams. Streaming Strategy The Streaming Strategy defines how a packet is built and sent. On "lowest latency" the encoded data will be sent directly after the encoding. On "optimal package" the packet will be filled up before sending. Default setting is "lowest latency". Non MP3 Packet Size The Non MP3 Packet Size defines with how many bytes a non MP3 packet will be filled up before it is sent. Set to a value between 1 and 1200. Default setting is "1200". Play Buffer Defines the amount of bytes that will be stored before playing the received stream. Lower this value to minimize delay, increase this value to prevent dropouts. Default setting is "4096" Bytes. Receive Timeout Defines the amount of time between the end of a received stream and switching to being able to send. Default setting is "200" msec. TCP Priority Rx Port Enter the port number for receiving a priority TCP stream. This stream always takes precedence. Set to a value between 0 (disabled) and 65535. Default port is "0". UDP Priority Rx Port Enter the port number for receiving a priority UDP stream. This stream always takes precedence. Set to a value between 0 (disabled) and 65535. Default port is "0". Priority Message Minimum Volume This is the guaranteed minimum volume for the priority message (received through UDP or TCP Priority Streaming Listen Port). If the current volume is less than this and priority message begins, the volume is set to this volume and reset back to original value when the message ends. Default: "25%". UDP Receiver Port Enter the port number for receiving a UDP stream. Set to a value between 0 (disabled) and 65535. Default port for UDP is "3030". UDP Tx Source Port This setting is only used when working with a custom software application. Enter the source port number to be used when sending a UDP stream. Set to a value between 0 and 65535. When set to 0 the port defined in the Stream table destination entry is taken. Or if Stream destination is set to "origin source" then the UDP Receiver Port is used. Default setting is "0". Radio Path Enter a radio path to listen to the transmitted stream of this Barix Annuncicom IC using a device that is able to play MP3 radio stations (also PC software like WinAmp). The URL to connect is http://x.x.x.x/p. Where x.x.x.x is the IP address of this device and /p is this Radio path. Example: http://192.168.0.24/xstream The device can serve up to 6 radio streams. Default setting is "/xstream". &LState(1,"%s",6,B,41," Stream Choose if the stream should be sent to the defined entries in the table or to the last calling station (to the device where the last communication came from, viz. "to the origin source"). Current Table Shows the current table selected over the remote command interface or the home page. Configure the streaming tables via the "Table Settings" menu. Multicast Address Enter a Multicast address on which to receive an audio stream. As receive port the "UDP Receiver Port" is taken. At start up the device will join the multicast group by periodically issuing IGMP join group messages. Default setting is no address set, "0.0.0.0".
I/O SETTINGS These settings adjust the device behavior for startup, inputs and outputs (attached buttons, the serial CTS signal and the relay pulse duration). Command Broadcasting This option is for backward compatibility with firmware versions prior to 1.16. If you want "r=c=" commands to be broadcast (UDP broadcast), set to compatibility mode. Otherwise choose secure mode, then "r=c=" commands will be sent only if stream to origin source is set and the origin source is known (command will be sent to the last partner). Init Sequence This command sequence is always executed immediately after startup (see further below for commands). Default: "" I0 pushed command Configure which command should be issued when the I0 button is pushed (see further below for commands). Default: "c=83" I0 released command Configure which command should be issued when the I0 button is released (see further below for commands). Default: "c=84" &LState(1,"%s",6,B,41," &LState(1,"%s",6,B,42," Commands Multiple commands can be added using the & character. They will be executed sequentially in the order that they appear in the configuration field. TALKING MODE c=83 : Activate the talking mode c=84 : Deactivate the talking mode c=91 : Activate the forced talking mode STREAMING c=77 : Set destination Syntax : c=77&entry=x&ip=a.b.c.d&port=p&type=t For x use 1 to 8 (Streaming destination 1 to 8) a.b.c.d is the IP address to stream to p stands for the port number to be used For t use 0 (not used), 1 (Raw UDP) or 2 (Raw TCP) Example: c=77&entry=2&ip=192.168.0.100&port=3030&type=1 sets the destination 2 to Raw UDP to IP 192.168.0.100 on port 3030 I/O &LState(1,"%s",6,B,41," c=85 : Simulate the I0 button being pressed c=86 : Simulate the I0 button being released &LState(1,"%s",6,B,41," &LState(1,"%s",6,B,42," REMOTE COMMANDS r=x : send the command x to the last calling station remotely r=a.b.c.d:p/x : send the command x, using UDP, to the remote IP a.b.c.d on the optional port p. Default if no port is defined is the configured UDP command port. Example: r=192.168.0.99:12301/c=83 (sets the remote station to talking mode) For further commands refer to the technical documentation available on www.barix.com.
&LState(1,"%s",6,B,42,"
CONTROL SETTINGS The AnnuncicomIC provides two remote command interfaces: UDP and TCP. See the Technical Documentation for more details about the protocol. UDP Command Port Configure a port number between 1 and 65535 to enable the UDP command interface. Enter 0 to disable the UDP command interface. Default: "12301" TCP Command Port Configure a port number between 1 and 65535 to enable the TCP command interface. Enter 0 to disable the TCP command interface. Default: "12302" Web server port Defines the port where the webserver of the device can be reached. If set to "0" the default HTTP port (80) is used. Default: "0" Serial Interface 1 Define the functionality of the 1st serial interface. "Command Interface" means the interface is used to input commands. "Keypad" disables the serial command interface and supports a keypad. Default: "Command Interface" SNMP SETTINGS Trap Target IP Address Enter the IP address of the SNMP trap destination. Default setting is "0.0.0.0". Low Audio Level Define the low audio level for the trap generation. A trap will be generated as soon as the audio level goes below this value (and the silence timeout is run out). Default setting is "0". High Audio Level Define the high audio level for the trap generation. A trap will be generated as soon as the audio level goes above this value. Default setting is "0". Trap Repeat Define the repeat interval for the SNMP trap sending. The trap will be repeated if the values are still according to the defined trap stages after this repeat time. Default setting is "0". Silence Timeout Define the time that has to run out before a trap is sent when the audio level is below the defined low audio value. Default setting is "0".
SECURITY SETTINGS These settings are used to secure access to the device on different levels. The status is shown next to each password ("set" or "not set"). Access is unrestricted for levels without a password (default setting). Save Configuration Enter up to 24 characters to protect updates to the device configuration (Clicking the "Apply" button). Without a valid password the device configuration can not be saved! Enter 25 characters to erase the current password. Default: "not set" Save configuration password usage When the password is set the user has to type in the password in the "Save Config Password field" before hitting the "Apply" button. Without a valid password a warning will be displayed and the changes are not saved. View Configuration Enter up to 24 characters to protect viewing the device configuration (Clicking the "Config" button). Without a valid password the device configuration can not be viewed! Enter 25 characters to erase the current password. Default: "not set" View configuration password usage When the password is set login in using the the pop up window (the user name does not matter). Only one user can log in at a time. Further attempts will be refused. To log out click on the "Logout" link next to the "HOME" icon in the menu bar. Please hit your browser’s Reload button if the "Logout" link is not visible. Control / Command Enter up to 24 characters to secure the access to all control and command interfaces (WEB/CGI, Serial, TCP, and UDP). Without a valid password the device can not be controlled. Enter 25 characters to erase the current password. Default: "not set" Note This security option should be used very carefully and is intended for advanced users only. Since the CGI commands used in the web interface do not make use of passwords, setting this password would disable any control of the device using a browser. Level 4 to 6 (User) Enter up to 24 characters to secure the access to customized web pages in 3 levels. Intended for advanced users only, for details see the Technical Documentation. Without a valid password these user web pages cannot be viewed. Enter 25 characters to erase the current password. Default: "not set" Listening Choose which level is used for preventing unauthorized listeners from listening to Annuncicom IC as Internet Radio, or "not protected" for access for all. SNMP Community RWrite Choose a password for the Read and Write Community, or "not protected" to ignore both the read and write communities or "no write access" SNMP Community Read Choose a password for the Read Community, or "not protected" to ignore the read community or "no access" Note that the Community RWrite setting takes priority.This means that if the Community RWrite is set to not protected, Community Read is ignored